> For the complete documentation index, see [llms.txt](https://docs.leapwallet.io/cosmos/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.leapwallet.io/cosmos/embedded-wallet-sdk/embedded-wallet-provider.md).

# Embedded Wallet Provider

Embedded wallet provider takes care of wallet connections, chains enabled to view balances - all within embedded wallet.

### **Usage**

```
import { EmbeddedWalletProvider } from '@leapwallet/embedded-wallet-sdk-react'
```

#### **Web3 Wallet Connect Support**

If your dApp supports web3 wallet connect, you must pass in the `walletConnectOptions` prop.

#### **Capsule Support**

If your dApp supports social login via capsule, you must pass in the `capsuleConfig` prop.

### **Props**

{% hint style="info" %} <mark style="color:red;">\*</mark> Denotes required props
{% endhint %}

| Prop                                                    | Type                                                                                                       | Description                                            |
| ------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------- | ------------------------------------------------------ |
| `primaryChainId`                                        | `string`                                                                                                   | The primary chain your dApp's user will connect to.    |
| `connectWallet`<mark style="color:red;">\*</mark>       | `() => void`                                                                                               | Method to trigger your dApps' connect wallet flow.     |
| `disconnectWallet`<mark style="color:red;">\*</mark>    | `() => void`                                                                                               | Method to trigger your dApps' disconnect wallet flow.  |
| `connectedWalletType`<mark style="color:red;">\*</mark> | `WalletType`                                                                                               | Wallet which is intended to be connected on the dApp.  |
| `walletConnectOptions`                                  | [SignClientTypes.Options](https://web3auth.io/docs/sdk/pnp/web/adapters/wallet-connect-v2#adaptersettings) | Wallet Connect (WC) options.                           |
| `capsuleConfig`                                         | [CapsuleConfig](https://arc.net/l/quote/hvidzgpv)                                                          | Social Login options.                                  |
| `chains`                                                | `string[]`                                                                                                 | .List of chain IDs for which you want to show balances |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leapwallet.io/cosmos/embedded-wallet-sdk/embedded-wallet-provider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
